aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/perl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter8/perl.sh')
-rw-r--r--chapter8/perl.sh54
1 files changed, 27 insertions, 27 deletions
diff --git a/chapter8/perl.sh b/chapter8/perl.sh
index 7e5cbc7..5097e8a 100644
--- a/chapter8/perl.sh
+++ b/chapter8/perl.sh
@@ -1,27 +1,27 @@
-#!/bin/bash
-set -e
-
-MAJMIN="$(cut -d\. -f1,2 <<< "${VERSION}")"
-
-export BUILD_ZLIB=False
-export BUILD_BZIP2=0
-
-sh Configure -des \
- -Dprefix=/usr \
- -Dvendorprefix=/usr \
- -Dprivlib=/usr/lib/perl5/"${MAJMIN}"/core_perl \
- -Darchlib=/usr/lib/perl5/"${MAJMIN}"/core_perl \
- -Dsitelib=/usr/lib/perl5/"${MAJMIN}"/site_perl \
- -Dsitearch=/usr/lib/perl5/"${MAJMIN}"/site_perl \
- -Dvendorlib=/usr/lib/perl5/"${MAJMIN}"/vendor_perl \
- -Dvendorarch=/usr/lib/perl5/"${MAJMIN}"/vendor_perl \
- -Dman1dir=/usr/share/man/man1 \
- -Dman3dir=/usr/share/man/man3 \
- -Dpager="/usr/bin/less -isR" \
- -Duseshrplib \
- -Dusethreads &&
-
-make &&
-
-make -j1 install &&
-unset BUILD_ZLIB BUILD_BZIP2
+#!/bin/bash
+set -e
+
+MAJMIN="$(cut -d\. -f1,2 <<< "${VERSION}")"
+
+export BUILD_ZLIB=False
+export BUILD_BZIP2=0
+
+sh Configure -des \
+ -Dprefix=/usr \
+ -Dvendorprefix=/usr \
+ -Dprivlib=/usr/lib/perl5/"${MAJMIN}"/core_perl \
+ -Darchlib=/usr/lib/perl5/"${MAJMIN}"/core_perl \
+ -Dsitelib=/usr/lib/perl5/"${MAJMIN}"/site_perl \
+ -Dsitearch=/usr/lib/perl5/"${MAJMIN}"/site_perl \
+ -Dvendorlib=/usr/lib/perl5/"${MAJMIN}"/vendor_perl \
+ -Dvendorarch=/usr/lib/perl5/"${MAJMIN}"/vendor_perl \
+ -Dman1dir=/usr/share/man/man1 \
+ -Dman3dir=/usr/share/man/man3 \
+ -Dpager="/usr/bin/less -isR" \
+ -Duseshrplib \
+ -Dusethreads &&
+
+make &&
+
+make -j1 install &&
+unset BUILD_ZLIB BUILD_BZIP2